4.6. Lấy thông tin khớp lệnh

GET/aion/v1/accounts/{accountNo}/matching-details
Lấy thông tin chi tiết khớp lệnh của một tiểu khoản.

Header

TênKiểuBắt buộcMô tả
AuthorizationstringBearer <access token>.
Content-Typestringapplication/json.

Path variable

TênKiểuBắt buộcMô tả
accountNostringSố tiểu khoản.
GET /aion/v1/accounts/0001170730/matching-details
curl "https://openapi.tcbs.com.vn/aion/v1/accounts/0001170730/matching-details" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json"

Response

TênKiểuBắt buộcMô tả
totalCountint64Tổng số bản ghi trả ra.
pageSizeint64Số lượng phần tử 1 trang.
pageIndexint64Mục lục trang.
data[].orderIdstringSố hiệu lệnh.
data[].sideenumChiều lệnh: S = Bán, B = Mua.
data[].symbolstringMã chứng khoán.
data[].quoteQttynumberKhối lượng đặt.
data[].quotePricenumberGiá đặt.
data[].tradeIdstringId lệnh khớp.
data[].qttynumberKhối lượng khớp.
data[].pricenumberGiá khớp.
data[].timeExecstringThời điểm khớp.
{
  "totalCount": 25,
  "pageSize": 25,
  "pageIndex": 0,
  "data": [
    {
      "orderId": "9202407170000280679",
      "side": "B",
      "symbol": "FPT",
      "quoteQtty": 800,
      "quotePrice": 54000,
      "tradeId": "202409160000220391",
      "qtty": 200,
      "price": 53000,
      "timeExec": "2024-09-16T17:05:20"
    }
  ]
}